Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED]: qt4 and qt5
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6  Next  
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19059
Location: here

PostPosted: Wed Nov 22, 2017 7:03 am    Post subject: Reply with quote

ONEEYEMAN wrote:
Which makes Ruby-2.2 slotted, which means the old Ruby won't be un-installed.

You can use, after a eselect ruby set ruby22, --depclean for uninstall ol ruby
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2704

PostPosted: Thu Nov 23, 2017 6:31 am    Post subject: Reply with quote

OK, I fixed couple of blockers and tried to upgrade webkit-gtk to version 2.18.

This is what I got:

Code:

[1428/5475] /usr/bin/x86_64-pc-linux-gnu-g++  -DBUILDING_GTK__=1 -DBUILDING_WEBKIT -DBUILDING_WITH_CMAKE=1 -DDATA_DIR=\"share\" -DGETTEXT_PACKAGE=\"WebKit2GTK-4.0\" -DHAVE_CONFIG_H=1 -DSTATICALLY_LINKED_WITH_PAL=1 -DUSER_AGENT_GLIB_MAJOR_VERSION=\"605\" -DUSER_AGENT_GLIB_MINOR_VERSION=\"1\" -DWEBKITGTK_API_VERSION_STRING=\"4.0\" -I. -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/airplay -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/beacon -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/applepay -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/cache -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/credentials -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/encryptedmedia -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/encryptedmedia/legacy -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/fetch -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/geolocation -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/indexeddb -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/indexeddb/client -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/indexeddb/server -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/indexeddb/shared -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/mediacontrols -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/mediasession -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/mediasource -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/mediastream -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/navigatorcontentutils -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/notifications -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/plugins -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/quota -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/speech -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/streams -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/webaudio -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/webdatabase -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/webdriver -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/Modules/websockets -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/accessibility -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/animation -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/bindings -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/bindings/js -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/bridge -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/bridge/c -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/bridge/jsc -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/contentextensions -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/crypto -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/crypto/algorithms -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/crypto/keys -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/crypto/parameters -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/css -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/css/parser -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/cssjit -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/dom -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/dom/default -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/domjit -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/editing -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/fileapi -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/history -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/html -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/html/canvas -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/html/forms -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/html/parser -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/html/shadow -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/html/track -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/inspector -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/loader -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/loader/appcache -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/loader/archive -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/loader/archive/mhtml -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/loader/cache -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/loader/icon -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/mathml -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/page -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/page/animation -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/page/csp -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/page/scrolling -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/animation -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/audio -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/crypto -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/encryptedmedia -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/gamepad -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/gamepad/deprecated -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/gamepad/linux -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/cpu/arm -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/cpu/arm/filters -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/displaylists -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/filters -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/harfbuzz -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/harfbuzz/ng -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/opentype -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/transforms -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/mediastream -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/mediastream/libwebrtc -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/mock -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/mock/mediasource -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/network -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/sql -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/text -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/text/icu -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/plugins -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/rendering -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/rendering/line -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/rendering/mathml -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/rendering/shapes -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/rendering/style -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/rendering/svg -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/replay -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/storage -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/style -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/svg -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/svg/animation -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/svg/graphics -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/svg/graphics/filters -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/svg/properties -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/websockets -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/workers -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/xml -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/xml/parser -IDerivedSources/WebCore -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/PAL -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source -IDerivedSources/ForwardingHeaders/ANGLE -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/gpu -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/ThirdParty/woff2/include -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/ThirdParty/xdgmime/src -isystem /usr/include/cairo -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/cairo -I/usr/include/freetype2/freetype -I/usr/include/freetype2 -I/usr/include/harfbuzz -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/freetype -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/mediastream/openwebrtc -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/gstreamer -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/gstreamer/mse -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/gstreamer/eme -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/audio/gstreamer -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/image-decoders -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/image-decoders/bmp -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/image-decoders/gif -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/image-decoders/ico -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/image-decoders/jpeg -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/image-decoders/png -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/image-decoders/webp -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/texmap -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/page/scrolling/coordinatedgraphics -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/texmap/coordinated -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/ThirdParty/ANGLE -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/ThirdParty/ANGLE/include/KHR -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/accessibility/atk -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/editing/atk -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/page/gtk -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/gamepad/glib -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/geoclue -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/gtk -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/egl -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/glx -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/gtk -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/opengl -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/wayland -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/graphics/x11 -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/mediastream/gtk -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/network/gtk -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/network/soup -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/platform/text/gtk -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WebCore/bindings/gobject -isystem /usr/include/gstreamer-1.0 -isystem /usr/include/glib-2.0 -isystem /usr/lib64/glib-2.0/include -isystem /usr/lib64/gstreamer-1.0/include -isystem /usr/include/libdrm -isystem /usr/include/atk-1.0 -isystem /usr/include/enchant -isystem /usr/include/gio-unix-2.0 -isystem /usr/include/libsoup-2.4 -isystem /usr/include/libxml2 -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/.. -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/API -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/ForwardingHeaders -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/assembler -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/b3 -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/b3/air -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/bindings -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/builtins -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/bytecode -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/bytecompiler -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/dfg -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/disassembler -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/disassembler/udis86 -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/disassembler/ARM64 -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/domjit -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/ftl -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/heap -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/debugger -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/inspector -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/inspector/agents -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/inspector/augmentable -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/inspector/remote -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/interpreter -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/jit -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/llint -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/parser -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/profiler -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/runtime -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/tools -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/wasm -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/wasm/js -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/yarr -IDerivedSources/ForwardingHeaders -IDerivedSources/JavaScriptCore -IDerivedSources/JavaScriptCore/inspector -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/inspector/remote/glib -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/bmalloc -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WTF -IDerivedSources -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/ThirdParty  -DNDEBUG -fdiagnostics-color=always -Wno-maybe-uninitialized -Wwrite-strings -Wundef -Wpointer-arith -Wmissing-format-attribute -Wformat-security -Wcast-align -Wextra -Wall -O2 -pipe -march=native -fno-strict-aliasing -fno-strict-aliasing -fno-exceptions -std=c++14 -fno-rtti -fPIC -MD -MT Source/WebCore/CMakeFiles/WebCoreDerivedSources.dir/__/__/DerivedSources/WebCore/JSWebSocket.cpp.o -MF Source/WebCore/CMakeFiles/WebCoreDerivedSources.dir/__/__/DerivedSources/WebCore/JSWebSocket.cpp.o.d -o Source/WebCore/CMakeFiles/WebCoreDerivedSources.dir/__/__/DerivedSources/WebCore/JSWebSocket.cpp.o -c /var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkit-gtk-2.18.2_build/DerivedSources/WebCore/JSWebSocket.cpp
FAILED: /usr/bin/x86_64-pc-linux-gnu-g++  -DBUILDING_GTK__=1 -DBUILDING_WITH_CMAKE=1 -DDATA_DIR=\"share\" -DGETTEXT_PACKAGE=\"WebKit2GTK-4.0\" -DHAVE_CONFIG_H=1 -DLIBDIR=\"/usr/lib64\" -DSTATICALLY_LINKED_WITH_WTF -DUSER_AGENT_GLIB_MAJOR_VERSION=\"605\" -DUSER_AGENT_GLIB_MINOR_VERSION=\"1\" -DWEBKITGTK_API_VERSION_STRING=\"4.0\" -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/shell/. -I. -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/.. -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/API -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/ForwardingHeaders -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/assembler -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/b3 -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/b3/air -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/bindings -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/builtins -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/bytecode -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/bytecompiler -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/dfg -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/disassembler -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/disassembler/udis86 -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/disassembler/ARM64 -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/domjit -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/ftl -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/heap -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/debugger -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/inspector -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/inspector/agents -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/inspector/augmentable -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/inspector/remote -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/interpreter -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/jit -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/llint -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/parser -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/profiler -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/runtime -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/tools -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/wasm -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/wasm/js -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/yarr -IDerivedSources/ForwardingHeaders -IDerivedSources/JavaScriptCore -IDerivedSources/JavaScriptCore/inspector -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/inspector/remote/glib -isystem /usr/include/glib-2.0 -isystem /usr/lib64/glib-2.0/include -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/bmalloc -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/WTF -IDerivedSources -I/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/ThirdParty  -DNDEBUG -fdiagnostics-color=always -Wno-maybe-uninitialized -Wwrite-strings -Wundef -Wpointer-arith -Wmissing-format-attribute -Wformat-security -Wcast-align -Wextra -Wall -O2 -pipe -march=native -fno-strict-aliasing -fno-strict-aliasing -fno-exceptions -std=c++14 -fno-rtti -fPIE -MD -MT Source/JavaScriptCore/shell/CMakeFiles/testb3.dir/__/b3/testb3.cpp.o -MF Source/JavaScriptCore/shell/CMakeFiles/testb3.dir/__/b3/testb3.cpp.o.d -o Source/JavaScriptCore/shell/CMakeFiles/testb3.dir/__/b3/testb3.cpp.o -c /var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2/Source/JavaScriptCore/b3/testb3.cpp
x86_64-pc-linux-gnu-g++: internal compiler error: Killed (program cc1plus)
Please submit a full bug report,
with preprocessed source if appropriate.
See <https://bugs.gentoo.org/> for instructions.
ninja: build stopped: subcommand failed.
 * ERROR: net-libs/webkit-gtk-2.18.2::gentoo failed (compile phase):
 *   ninja -v -j3 -l0 failed
 *
 * Call stack:
 *     ebuild.sh, line  124:  Called src_compile
 *   environment, line 5045:  Called cmake-utils_src_compile
 *   environment, line 1415:  Called cmake-utils_src_make
 *   environment, line 1590:  Called _cmake_ninja_src_make
 *   environment, line  524:  Called eninja
 *   environment, line 1944:  Called die
 * The specific snippet of code:
 *       "$@" || die "${nonfatal_args[@]}" "${*} failed"
 *
 * If you need support, post the output of `emerge --info '=net-libs/webkit-gtk-2.18.2::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=net-libs/webkit-gtk-2.18.2::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/net-libs/webkit-gtk-2.18.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-libs/webkit-gtk-2.18.2/temp/environment'.
 * Working directory: '/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkit-gtk-2.18.2_build'
 * S: '/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2'

>>> Failed to emerge net-libs/webkit-gtk-2.18.2, Log file:

>>>  '/var/tmp/portage/net-libs/webkit-gtk-2.18.2/temp/build.log'

 * Messages for package x11-libs/gtk+-3.22.16:

 * Please install app-text/evince for print preview functionality.
 * Alternatively, check "gtk-print-preview-command" documentation and
 * add it to your settings.ini file.

 * Messages for package net-libs/webkit-gtk-2.18.2:

 * ERROR: net-libs/webkit-gtk-2.18.2::gentoo failed (compile phase):
 *   ninja -v -j3 -l0 failed
 *
 * Call stack:
 *     ebuild.sh, line  124:  Called src_compile
 *   environment, line 5045:  Called cmake-utils_src_compile
 *   environment, line 1415:  Called cmake-utils_src_make
 *   environment, line 1590:  Called _cmake_ninja_src_make
 *   environment, line  524:  Called eninja
 *   environment, line 1944:  Called die
 * The specific snippet of code:
 *       "$@" || die "${nonfatal_args[@]}" "${*} failed"
 *
 * If you need support, post the output of `emerge --info '=net-libs/webkit-gtk-2.18.2::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=net-libs/webkit-gtk-2.18.2::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/net-libs/webkit-gtk-2.18.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-libs/webkit-gtk-2.18.2/temp/environment'.
 * Working directory: '/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkit-gtk-2.18.2_build'
 * S: '/var/tmp/portage/net-libs/webkit-gtk-2.18.2/work/webkitgtk-2.18.2'


Never saw such a message before.

Should I actually file a bug as suggested? I am afraid to try to reboot and try again. I can probably try log off from KDE and try do continue without GUI. Would that be OK?
Anything else?

Thank you.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19059
Location: here

PostPosted: Thu Nov 23, 2017 6:55 am    Post subject: Reply with quote

Code:
x86_64-pc-linux-gnu-g++: internal compiler error: Killed (program cc1plus)

Tipically out of memory error (you can see this on dmesg), try with a lower MAKEOPTS
Code:
# MAKEOPTS="-j1" emerge -1 webkit-gtk:4

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2704

PostPosted: Thu Nov 23, 2017 9:59 pm    Post subject: Reply with quote

Hi,
So I tried to run "emerge @preserved-rebuild", but got following:

Code:

 * ERROR: www-client/firefox-52.4.0::gentoo failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=www-client/firefox-52.4.0::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=www-client/firefox-52.4.0::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/www-client/firefox-52.4.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/www-client/firefox-52.4.0/temp/environment'.
 * Working directory: '/var/tmp/portage/www-client/firefox-52.4.0/work/firefox-52.4.0esr'
 * S: '/var/tmp/portage/www-client/firefox-52.4.0/work/firefox-52.4.0esr'

>>> Failed to emerge www-client/firefox-52.4.0, Log file:

>>>  '/var/tmp/portage/www-client/firefox-52.4.0/temp/build.log'


So after that I tried to do:

Code:

IgorDellGentoo dbhandler # emerge --skipfirst --resume

 * IMPORTANT: 11 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.


 * IMPORTANT: config file '/etc/portage/package.keywords' needs updating.
 * See the CONFIGURATION FILES and CONFIGURATION FILES UPDATE TOOLS
 * sections of the emerge man page to learn how to update config files.
Calculating dependencies... done!
*** Resuming merge...
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.
IgorDellGentoo dbhandler # emerge @preserved-rebuild

 * IMPORTANT: 11 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.


 * IMPORTANT: config file '/etc/portage/package.keywords' needs updating.
 * See the CONFIGURATION FILES and CONFIGURATION FILES UPDATE TOOLS
 * sections of the emerge man page to learn how to update config files.
Calculating dependencies... done!

emerge: there are no ebuilds to satisfy "kde-apps/pykde4:4".
(dependency required by "@preserved-rebuild" [argument])


which I completely don't understand.

I think I will try to continue with KDE upgrade, since it is possible I will have to do @preserved-rebuild again afterwards.

Portage is current and everything should be in order.

The other messages I got during this @preserved-rebuild are:

Code:

 * Messages for package dev-lang/python-exec-2.4.4:

 * This package will overwrite one or more files that may belong to other
 * packages (see list below). You can use a command such as `portageq
 * owners / <filename>` to identify the installed package that owns a
 * file. If portageq reports that only one package owns a file then do
 * NOT file a bug report. A bug report is only useful if it identifies at
 * least two or more packages that are known to install the same file(s).
 * If a collision occurs and you can not explain where the file came from
 * then you should simply ignore the collision since there is not enough
 * information to determine if a real problem exists. Please do NOT file
 * a bug report at https://bugs.gentoo.org/ unless you report exactly
 * which two packages install the same file(s). See
 * https://wiki.gentoo.org/wiki/Knowledge_Base:Blockers for tips on how
 * to solve the problem. And once again, please do NOT file a bug report
 * unless you have completely understood the above message.
 *
 * Detected file collision(s):
 *
 *      /usr/bin/2to3
 *      /usr/bin/python2
 *      /usr/bin/python
 *      /usr/bin/python-config
 *      /usr/bin/python3
 *      /usr/bin/pydoc
 *
 * Searching all installed packages for file collisions...
 *
 * Press Ctrl-C to Stop
 *
 * None of the installed packages claim the file(s).
 *
 * Package 'dev-lang/python-exec-2.4.4' merged despite file collisions.
 * If necessary, refer to your elog messages for the whole content of the
 * above message.
 * You seem to have just upgraded into the new version of python-exec
 * that uses python-exec.conf for configuration. The ebuild has attempted
 * to convert your previous configuration to the new format, resulting
 * in the following preferences (most preferred version first):
 *
 *   python2.7
 *   python3.4
 *
 * Those interpreters will be preferred when running Python scripts or
 * calling wrapped Python executables (python, python2, pydoc...).
 * If none of the preferred interpreters are supported, python-exec will
 * fall back to the newest supported Python version.
 *
 * Please note that due to the ambiguous character of the old settings,
 * you may want to modify the preference list yourself. In order to do so,
 * open the following file in your favorite editor:
 *
 *   /etc/python-exec/python-exec.conf
 *
 * For more information on the new configuration format, please read
 * the comment on top of the installed configuration file.

 * Messages for package games-board/gnugo-3.9.1-r1:

 * Remember, in order to play games, you have to
 * be in the 'games' group.
 * Just run 'gpasswd -a <USER> games', then have <USER> re-login.

 * Messages for package www-client/firefox-52.4.0:

 * LINGUAS value ru is not enabled using L10N use flags
 * ERROR: www-client/firefox-52.4.0::gentoo failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=www-client/firefox-52.4.0::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=www-client/firefox-52.4.0::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/www-client/firefox-52.4.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/www-client/firefox-52.4.0/temp/environment'.
 * Working directory: '/var/tmp/portage/www-client/firefox-52.4.0/work/firefox-52.4.0esr'
 * S: '/var/tmp/portage/www-client/firefox-52.4.0/work/firefox-52.4.0esr'

 * Regenerating GNU info directory index...
 * Processed 149 info files.


I will try to do what the messages suggest me to do and will continue with KDE upgrade. If I get any other issues I will post here.

Just for references:
FF log with failure - http://bpaste.net/show/ea99ec24a5a3
emerge --info: http://bpaste.net/show/261699f06c53

Thank you.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6348
Location: Austria

PostPosted: Thu Nov 23, 2017 10:12 pm    Post subject: Reply with quote

Code:
 * IMPORTANT: 11 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.


 * IMPORTANT: config file '/etc/portage/package.keywords' needs updating.
 * See the CONFIGURATION FILES and CONFIGURATION FILES UPDATE TOOLS
 * sections of the emerge man page to learn how to update config files.

_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
davidm
Guru
Guru


Joined: 26 Apr 2009
Posts: 557
Location: US

PostPosted: Thu Nov 23, 2017 10:13 pm    Post subject: Reply with quote

For the Firefox build it looks like it might be the same problem suggested previously to you by fedeliallalinea

Code:

4901  [01mx86_64-pc-linux-gnu-g++: internal compiler error: Killed (program cc1plus)
Please submit a full bug report,


You might be running out of memory and might try adjusting your options as suggested.
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2704

PostPosted: Thu Nov 23, 2017 10:32 pm    Post subject: Reply with quote

Hi, ALL,
It looks like the next step which is update the world failed as well.

The log is here.

It is easy to of the non -qt blocker, but what to do about the QT ones?

I tried to update qycore, but it also failed miserably. ;-)

I will try to take care of the packages that I can fix (blockers) and will wait for a responce about qt ones.

Thank you.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6348
Location: Austria

PostPosted: Thu Nov 23, 2017 10:43 pm    Post subject: Reply with quote

Code:
[blocks B      ] kde-apps/kdepim-l10n ("kde-apps/kdepim-l10n" is blocking kde-apps/calendarsupport-17.04.3, kde-apps/incidenceeditor-17.04.3, kde-apps/korganizer-17.04.3, kde-apps/akonadi-17.04.3-r1, kde-apps/kdav-17.04.3, kde-apps/kdepim-addons-17.04.3, kde-apps/kpimtextedit-17.04.3, kde-apps/kmail-17.04.3, kde-apps/libgravatar-17.04.3, kde-apps/kmailtransport-17.04.3, kde-apps/libkleo-17.04.3, kde-apps/kmime-17.04.3, kde-apps/kalarmcal-17.04.3, kde-apps/libksieve-17.04.3, kde-apps/kblog-17.04.3, kde-apps/akonadi-contacts-17.04.3, kde-apps/messagelib-17.04.3, kde-apps/pimcommon-17.04.3-r1, kde-apps/mailimporter-17.04.3, kde-apps/kleopatra-17.04.3, kde-apps/kdepim-apps-libs-17.04.3, kde-apps/akonadi-import-wizard-17.04.3, kde-apps/akonadi-search-17.04.3, kde-apps/blogilo-17.04.3, kde-apps/pim-data-exporter-17.04.3, kde-apps/kcontacts-17.04.3, kde-apps/calendarjanitor-17.04.3, kde-apps/mbox-importer-17.04.3, kde-apps/kldap-17.04.3, kde-apps/akonadi-notes-17.04.3, kde-apps/kdepim-runtime-17.04.3, kde-apps/knotes-17.04.3, kde-apps/akonadi-calendar-17.04.3, kde-apps/libktnef-17.04.3, kde-apps/libkdepim-17.04.3, kde-apps/eventviews-17.04.3, kde-apps/kontact-17.04.3, kde-apps/grantlee-editor-17.04.3, kde-apps/akregator-17.04.3, kde-apps/pim-sieve-editor-17.04.3, kde-apps/kimap-17.04.3, kde-apps/grantleetheme-17.04.3, kde-apps/akonadi-mime-17.04.3, kde-apps/kaddressbook-17.04.3, kde-apps/mailcommon-17.04.3, kde-apps/kidentitymanagement-17.04.3, kde-apps/kmail-account-wizard-17.04.3, kde-apps/kcalutils-17.04.3, kde-apps/kontactinterface-17.04.3, kde-apps/konsolekalendar-17.04.3, kde-apps/kalarm-17.04.3)
[blocks B      ] kde-apps/klickety:4 ("kde-apps/klickety:4" is blocking kde-apps/klickety-17.04.3)
[blocks B      ] kde-apps/kdialog:4 ("kde-apps/kdialog:4" is blocking kde-apps/kdialog-17.04.3)
[blocks B      ] <kde-apps/libkipi-15.08.3-r1:4 ("<kde-apps/libkipi-15.08.3-r1:4" is blocking kde-apps/libkipi-17.04.3)
[blocks B      ] kde-apps/kdepim-common-libs:4 ("kde-apps/kdepim-common-libs:4" is blocking kde-apps/pim-sieve-editor-17.04.3, kde-apps/incidenceeditor-17.04.3, kde-apps/korganizer-17.04.3, kde-apps/messagelib-17.04.3, kde-apps/pimcommon-17.04.3-r1, kde-apps/grantlee-editor-17.04.3, kde-apps/libkdepim-17.04.3, kde-apps/kmail-17.04.3, kde-apps/kmail-account-wizard-17.04.3)
[blocks B      ] kde-apps/krfb:4 ("kde-apps/krfb:4" is blocking kde-apps/krfb-17.04.3)
[blocks B      ] kde-frameworks/oxygen-icons:4 ("kde-frameworks/oxygen-icons:4" is blocking kde-frameworks/oxygen-icons-5.37.0)
[blocks B      ] kde-apps/kleopatra:4 ("kde-apps/kleopatra:4" is blocking kde-apps/kleopatra-17.04.3)
[blocks B      ] kde-apps/kdenetwork-filesharing:4 ("kde-apps/kdenetwork-filesharing:4" is blocking kde-apps/kdenetwork-filesharing-17.04.3)
[blocks B      ] <kde-apps/kwalletmanager-15.04.3-r1:4 ("<kde-apps/kwalletmanager-15.04.3-r1:4" is blocking kde-apps/kwalletmanager-17.04.3)
[blocks B      ] kde-apps/kdepimlibs ("kde-apps/kdepimlibs" is blocking kde-apps/akonadi-17.04.3-r1)
[blocks B      ] kde-apps/kdesu ("kde-apps/kdesu" is blocking kde-plasma/kde-cli-tools-5.10.5)
[blocks B      ] kde-apps/kdf:4 ("kde-apps/kdf:4" is blocking kde-apps/kdf-17.04.3)
[blocks B      ] kde-apps/kcontrol:4 ("kde-apps/kcontrol:4" is blocking kde-plasma/kinfocenter-5.10.5)
[blocks B      ] kde-apps/knavalbattle:4 ("kde-apps/knavalbattle:4" is blocking kde-apps/knavalbattle-17.04.3)
[blocks B      ] kde-apps/kgpg:4 ("kde-apps/kgpg:4" is blocking kde-apps/kgpg-17.04.3)
[blocks B      ] <net-libs/libproxy-0.4.12[kde] ("<net-libs/libproxy-0.4.12[kde]" is blocking net-libs/signon-ui-0.15, net-libs/signond-8.58)
[blocks B      ] kde-apps/kolourpaint:4 ("kde-apps/kolourpaint:4" is blocking kde-apps/kolourpaint-17.04.3)
[blocks B      ] kde-apps/ksystemlog:4 ("kde-apps/ksystemlog:4" is blocking kde-apps/ksystemlog-17.04.3)
[blocks B      ] kde-apps/knetattach[handbook] ("kde-apps/knetattach[handbook]" is blocking kde-plasma/plasma-desktop-5.10.5)
[blocks B      ] kde-apps/kdepimlibs:4 ("kde-apps/kdepimlibs:4" is blocking kde-apps/akonadi-mime-17.04.3, kde-apps/kmailtransport-17.04.3)
[blocks B      ] kde-apps/kmahjongg:4 ("kde-apps/kmahjongg:4" is blocking kde-apps/kmahjongg-17.04.3)
[blocks B      ] kde-apps/kdepim-runtime:4 ("kde-apps/kdepim-runtime:4" is blocking kde-apps/kdepim-runtime-17.04.3, kde-apps/kmail-account-wizard-17.04.3)
[blocks B      ] kde-apps/ksnapshot ("kde-apps/ksnapshot" is blocking kde-apps/spectacle-17.04.3)
[blocks B      ] kde-apps/kcontrol ("kde-apps/kcontrol" is blocking kde-plasma/plasma-desktop-5.10.5)
[blocks B      ] kde-apps/audiocd-kio:4 ("kde-apps/audiocd-kio:4" is blocking kde-apps/audiocd-kio-17.04.3)
[blocks B      ] <kde-apps/kdepimlibs-4.14.10_p20160611:4 ("<kde-apps/kdepimlibs-4.14.10_p20160611:4" is blocking app-crypt/gpgme-1.8.0-r3)
[blocks B      ] kde-frameworks/baloo:4[-minimal(+)] ("kde-frameworks/baloo:4[-minimal(+)]" is blocking kde-frameworks/baloo-5.37.0)
[blocks B      ] kde-apps/ktuberling:4 ("kde-apps/ktuberling:4" is blocking kde-apps/ktuberling-17.04.3)
[blocks B      ] <kde-apps/kde-wallpapers-15.08.3-r2 ("<kde-apps/kde-wallpapers-15.08.3-r2" is blocking kde-plasma/plasma-workspace-wallpapers-5.10.5)

Cleanup your world file from these ancient, ancient, packages.

But also:
Code:
 * IMPORTANT: 11 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.


 * IMPORTANT: config file '/etc/portage/package.keywords' needs updating.
 * See the CONFIGURATION FILES and CONFIGURATION FILES UPDATE TOOLS
 * sections of the emerge man page to learn how to update config files.

_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2704

PostPosted: Thu Nov 23, 2017 11:13 pm    Post subject: Reply with quote

fedeliallalinea wrote:

ONEEYEMAN wrote:

In the meantime - could you please check the result of world recompilation I posted earlier. It is confusing since it shouldn't fail with multiple dependencies of KDE 4 packages.

You can try to add --backtrack=300 as emerge option

EDIT: and as astum say run etc-update


Adding --backtrack=300 didn't solve it. I still get same failures.

Thank you.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6348
Location: Austria

PostPosted: Thu Nov 23, 2017 11:34 pm    Post subject: Reply with quote

--backtrack can't help with hard blockers... you won't be able to progress without reading our posts.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2704

PostPosted: Fri Nov 24, 2017 12:25 am    Post subject: Reply with quote

Sorry, I guess we posted at the same time.

Now those packages should have been removed in here, right? And so I can use the same command to remove them?

Thank you.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6348
Location: Austria

PostPosted: Fri Nov 24, 2017 12:29 am    Post subject: Reply with quote

Partially, if you ran it without --pretend. But that's only the Plasma-5 upgrade guide. It can not make up for polluted world files with kde-apps/ packages. You'll have to manually deselect those, especially if they contain slot 4.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2704

PostPosted: Fri Nov 24, 2017 1:04 am    Post subject: Reply with quote

Hi,
All of them, except kde-apps/kdepim-i10n are not present in the "world" file.
Trying to do

Code:

emerge --deselect <atom_from_list>


returns

Quote:

>> No matching atom found in "world" favorite file...


Thank you.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19059
Location: here

PostPosted: Fri Nov 24, 2017 7:09 am    Post subject: Reply with quote

ONEEYEMAN wrote:
All of them, except kde-apps/kdepim-i10n are not present in the "world" file.

See this section of "Plasma 5 upgrade" howto
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6348
Location: Austria

PostPosted: Fri Nov 24, 2017 12:54 pm    Post subject: Reply with quote

@fedaliallalinea: As said, this covers only the Plasma-5 upgrade, not applications.

But since portage also says the following:
Code:
 * In order to avoid wasting time, backtracking has terminated early
 * due to the above autounmask change(s). The --autounmask-backtrack=y
 * option can be used to force further backtracking, but there is no
 * guarantee that it will produce a solution.

It is very well possible that it simply stopped backtracking before it came to resolve the KDE blockers. So, it is the usual shenanigans:

Remove any definition of USE bindist from your make.conf and package.use because of:
Code:
# required by net-voip/telepathy-gabble-0.18.4::gentoo[-gnutls]
# required by net-im/telepathy-connection-managers-2-r2::gentoo[-msn,xmpp]
# required by kde-apps/kaccounts-providers-17.04.3::gentoo
# required by kde-apps/ktp-accounts-kcm-17.04.3::gentoo
# required by kde-apps/plasma-telepathy-meta-17.04.3::gentoo
# required by kde-apps/kdenetwork-meta-17.04.3::gentoo
# required by kde-apps/kde-apps-meta-17.04.3::gentoo
# required by kde-apps/kde-meta-17.04.3::gentoo
# required by @selected
# required by @world (argument)
>=dev-libs/openssl-1.0.2m -bindist


Then try again. Then if it still does not work, unmerge those old KDE apps that are blockers in your previous post, not just deselect.


But also:
Code:
!!! The following updates are masked by LICENSE changes:
- app-emulation/virtualbox-extpack-oracle-5.1.26.117224::gentoo (masked by: PUEL license(s))
A copy of the 'PUEL' license is located at '/usr/portage/licenses/PUEL'.

^ Fix your license situation.

And for the fourth time:
Code:

 * IMPORTANT: 11 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.


 * IMPORTANT: config file '/etc/portage/package.keywords' needs updating.
 * See the CONFIGURATION FILES and CONFIGURATION FILES UPDATE TOOLS
 * sections of the emerge man page to learn how to update config files.

_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic


Last edited by asturm on Fri Nov 24, 2017 1:03 pm; edited 4 times in total
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2704

PostPosted: Fri Nov 24, 2017 12:54 pm    Post subject: Reply with quote

Hi,
Code:

IgorDellGentoo dbhandler # for x in libkscreen kde-gtk-config ksshaskpass freespacenotifier kcheckpass kcminit kdebase-cursors kdebase-startkde kdm kephal khotkeys kinfocenter klipper kmenuedit krunner kscreensaver ksmserver ksplash kstartupconfig kstyles ksysguard ksystraycmd kwin kwrited libkgreeter libkworkspace liboxygenstyle libplasmaclock libplasmagenericshell libtaskmanager plasma-workspace powerdevil qguiplatformplugin_kde solid-actions-kcm systemsettings; do equery -q d ${x} | sed -e "s/-[0-9].*//"; done | sed -e "/kdebase-meta/g" -e "/kde-meta/g" | xargs emerge --deselect --pretend
>>> No matching atoms found in "world" favorites file...


Thank you.
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2704

PostPosted: Fri Nov 24, 2017 5:20 pm    Post subject: Reply with quote

Hi, asturm,
I'm sorry, but I think we are trying to post almost at the same time again. ;-)
So my apologies, because I didn't see you previous reply.

I did run etc-update last night. I hope I didn't screw up anything important.

Now since I just found your reply - I will try to do what you suggested tonight starting with "bindist" removal. Just couple of question to understand the process better:

1. I should still try to run that command with "--backtrack=300", right? Or maybe even increase that number to 500?
2. Since those packages are outdated and the ebuilds are no longer available (arer they), I should run "emerge --depclean <blocker>", right? Because running just "emerge --unmerge <blocker>" will fail without the ebuild file.
3. So the license for the virtualbox changes?
4. I tried to merge virtualbox, but it said that the version that is available is un-stable, i.e. ~amd64. Will there ever be a stable version of virtualbox in the tree for ~amd64? (if you don't know the answer - that's OK. I just prefer to live with the stable system and divert as a last resort).

Thank you.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6348
Location: Austria

PostPosted: Fri Nov 24, 2017 7:12 pm    Post subject: Reply with quote

Quote:
Now since I just found your reply - I will try to do what you suggested tonight starting with "bindist" removal. Just couple of question to understand the process better:

All of the following questions are not related to bindist removal, but fine.
Quote:
1. I should still try to run that command with "--backtrack=300", right? Or maybe even increase that number to 500?

Doesn't matter if it stops because of a hard blocker on the way as it is right now. But the higher the number the more backtrack.
Quote:
2. Since those packages are outdated and the ebuilds are no longer available (arer they), I should run "emerge --depclean <blocker>", right? Because running just "emerge --unmerge <blocker>" will fail without the ebuild file.

No, unmerge works just fine.
Quote:
3. So the license for the virtualbox changes?

PUEL is missing from your ACCEPT_LICENSE. https://wiki.gentoo.org/wiki//etc/portage/make.conf#ACCEPT_LICENSE
Quote:
4. I tried to merge virtualbox, but it said that the version that is available is un-stable, i.e. ~amd64. Will there ever be a stable version of virtualbox in the tree for ~amd64? (if you don't know the answer - that's OK. I just prefer to live with the stable system and divert as a last resort).

There is a stable version of course, but it makes no sense to take it on until your system is back on track.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2704

PostPosted: Sat Nov 25, 2017 2:40 am    Post subject: Reply with quote

Hi,
I did remove "bindist" USE-flag and increased the backtrace to 500.

Here are the results.

It is weird that its pulling qtcore-4.8.6, which of course is outdated. And all those other blockers - I'm updating the system, so why it says it can't be installed at the same time?

Should I do a manual update of all those packages which has a conflict?

Also this is what I have for licenses:

Code:

IgorDellGentoo dbhandler # emerge --info | grep -i licen
ACCEPT_LICENSE="* -@EULA"


It has "*" so it should take all licenses, no?

Thank you.
Back to top
View user's profile Send private message
ct85711
Veteran
Veteran


Joined: 27 Sep 2005
Posts: 1587

PostPosted: Sat Nov 25, 2017 6:47 am    Post subject: Reply with quote

Code:
emerge: there are no ebuilds to satisfy "~dev-qt/qtcore-4.8.6[-aqua,-debug,abi_x86_64(-)]".
(dependency required by "dev-qt/qthelp-4.8.6-r3::gentoo" [installed])
(dependency required by "dev-python/PyQt4-4.11.1::gentoo" [installed])
(dependency required by "dev-util/eric-4.5.25-r1::gentoo" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])


From what it is looking like, qt4 is being pulled in from the old version of dev-util/eric (which looks like that version was removed from the tree a year ago)... Looking at the new eric ebuilds, they all require PyQt5 not PyQt4, so it should get rid of qtcore-4.8.6.

Now, I don't expect anything else depends on PyQt4, if there is then those packages would hold on qt4.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6348
Location: Austria

PostPosted: Sat Nov 25, 2017 9:43 am    Post subject: Reply with quote

Fifth time.
Code:
 * IMPORTANT: 11 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.


Code:
  (dev-qt/qtgui-5.6.2:5/5.6::gentoo, installed): ebuild is masked or unavailable
  (media-libs/libwebp-0.4.0:0/5::gentoo, installed): ebuild is masked or unavailable
  (kde-apps/kimgio-15.08.3:4/15.08::gentoo, installed): ebuild is masked or unavailable
  (app-emulation/virtualbox-5.1.14:0/0::gentoo, installed): ebuild is masked or unavailable
  (kde-frameworks/kdelibs-4.14.16:4/4.14::gentoo, installed): ebuild is masked or unavailable

All of these packages have successors except kimgio. And because there is no upgrade for it, it will forever break your depgraph and demand outdated deps. So remove it. The same is true for several/most in the following list of packages:
Code:
  (kde-frameworks/kdelibs-4.14.16:4/4.14::gentoo, installed) pulled in by
...[long list of "required-by-installed" package follows]

Remove them. For that purpose, I've just created a new troubleshooting entry:

https://wiki.gentoo.org/wiki/KDE/Troubleshooting#kde-.2A.2F.2A_related_blockers_prevent_upgrade_of_neglected_system
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2704

PostPosted: Sun Nov 26, 2017 4:02 am    Post subject: Reply with quote

Hi,
After unmerging those packages I re-run the command.
Here are the results.

Thank you.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6348
Location: Austria

PostPosted: Sun Nov 26, 2017 8:20 am    Post subject: Reply with quote

You didn't update that system since at least June 16th, 2016, is that about right?

OK, I'm going to read portage output one more time for you:

Code:
!!! Problems have been detected with your world file
!!! Please run emaint --check world


!!! Ebuilds for the following packages are either all
!!! masked or don't exist:
kde-apps/ksnapshot


Code:

The following mask changes are necessary to proceed:
 (see "package.unmask" in the portage(5) man page for more details)
# required by kde-apps/kdeartwork-emoticons-15.08.3::gentoo
# required by @selected
# required by @world (argument)
# /usr/portage/profiles/package.mask:
# Andreas Sturmlechner <asturm@gentoo.org> (16 Nov 2017)
# Qt4WebKit is ancient and full of security holes.
# Masked for removal in 30 days. Bug #620684
=dev-qt/qtwebkit-4.8.7

Hint: You DON'T unmask qtwebkit, but use a different solution... In fact, in your output, search for the other package mentioned above, and redo the same action on the other packages you see it listed within the same group of blockers... the one I already mentioned in my last post...

However, I've also updated the wiki command with the above leftover cruft.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
davidm
Guru
Guru


Joined: 26 Apr 2009
Posts: 557
Location: US

PostPosted: Sun Nov 26, 2017 11:38 am    Post subject: Reply with quote

asturm wrote:

Remove them. For that purpose, I've just created a new troubleshooting entry:

https://wiki.gentoo.org/wiki/KDE/Troubleshooting#kde-.2A.2F.2A_related_blockers_prevent_upgrade_of_neglected_system


Hi asturm/genstorm,

I feel funny questioning you (!) and am probably setting myself up for some embarrassment here but I feel like something is wrong:

Code:

# emerge --ask --unmerge media-sound/kstreamripper kde-misc/kcollectd media-sound/kmid sci-calculators/keurocalc net-misc/knutclient media-sound/konvertible kde-misc/kdesudo kde-misc/kbiff kde-misc/kfax kde-misc/kover media-sound/k4guitune media-sound/kenvy24 media-sound/kmidimon media-sound/kradio media-sound/waheela media-video/loopy net-p2p/kmldonkey kde-misc/konstruktor kde-misc/kookie kde-misc/kfilebox media-video/kplayer kde-misc/akonadi-git-resource media-gfx/kgrab kde-misc/colibri kde-misc/kio-mtp kde-misc/kio-slp kde-plasma/libkworkspace pykde4 kcmshell kde-l10n kdebase-runtime-meta kdontchangethehostname keditfiletype kfile kmimetypefinder knewstuff kreadconfig ksaneplugin ktraderclient kwalletd kommander kdepim-common-libs ktnef app-office/calligra-l10n kde-misc/krecipes kde-misc/semantik www-plugins/kpartsplugin x11-misc/lightdm-kde plasma-runtime pim-storage-service-manager attica drkonqi kcontrol kdebase-desktoptheme kdebase-menu kdebase-menu-icons kdebugdialog kdesu kglobalaccel kiconfinder kimgio knetattach kpasswdserver kquitapp kstart kuiserver kurifilter-plugins plasma-apps renamedlg-plugins solid-runtime sys-auth/polkit-kde-agent kdepasswd kfmclient konq-plugins libkonq nsplugins plasma-apps dev-util/kdevelop-php-docs dev-util/kdevelop-qmake dev-util/kdevelop-qmljs kde-misc/kim4 kde-misc/kio-ftps kde-misc/quadkonsole ksnapshot kdeartwork-meta kdeartwork-colorschemes kdeartwork-desktopthemes kdeartwork-emoticons kdeartwork-iconthemes kdeartwork-kscreensaver kdeartwork-wallpapers kdeartwork-weatherwallpapers kdeartwork-styles
 * This action can remove important packages! In order to be safer, use
 * `emerge -pv --depclean <atom>` to check for reverse dependencies before
 * removing packages.

>>> These are the packages that would be unmerged:                                                 

--- Couldn't find 'media-sound/kstreamripper' to unmerge.

--- Couldn't find 'kde-misc/kcollectd' to unmerge.

--- Couldn't find 'media-sound/kmid' to unmerge.

<trimmed dozens of could not find messages for brevity>


 kde-frameworks/knewstuff
    selected: 5.40.0
   protected: none
     omitted: none

 kde-frameworks/attica
    selected: 5.40.0
   protected: none
     omitted: none

 kde-plasma/drkonqi
    selected: 5.11.3
   protected: none
     omitted: none

 kde-frameworks/kdesu
    selected: 5.40.0
   protected: none
     omitted: none

 kde-frameworks/kglobalaccel
    selected: 5.40.0
   protected: none
     omitted: none

All selected packages: =kde-frameworks/kdesu-5.40.0 =kde-frameworks/attica-5.40.0 =kde-frameworks/knewstuff-5.40.0 =kde-frameworks/kglobalaccel-5.40.0 =kde-plasma/drkonqi-5.11.3

>>> 'Selected' packages are slated for removal.
>>> 'Protected' and 'omitted' packages will not be removed.

Would you like to unmerge these packages? [Yes/No]


It doesn't seem like these packages are obsolete...or am I missing something?
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6348
Location: Austria

PostPosted: Sun Nov 26, 2017 11:48 am    Post subject: Reply with quote

No, you're perfectly right - fixed the ambiguous package names by prepending kde-apps/.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6  Next
Page 2 of 6

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum